beginStateMachine()

	-- called when questor builds up all known questScripts
	onEnter(function(msg)
		print("questErotic10 entered");
		setState("initial");
	end )
	
	-- on game over: relationship conditions get reset to 0 and all quests are reset to initial
	onMsg("questreset", function(msg)
		setState("initial");
	end ) 
---------------------------------------------------------------------------------------------------------------------------------------	
	
	state("initial") 
		onMsg("checkCondition", function(msg)
			local mike = getParent().getParent().getCharacter(MIKE);
			local elaine = getParent().getParent().getCharacter(ELAINE);

			if ( -- condition here
		----------------
				min(	mike.getRelationshipCondition(ELAINE, REL_EROTIC),
					elaine.getRelationshipCondition(MIKE, REL_EROTIC)) >= 10)
		----------------
			then
				-- go to talk position
				elaine.queueCommand("pm_talkCutscene", "talkCutscene", mike, "questErotic10");

				setState("talktome");
			end
		end )
		
		
	state("talktome")
		-- assoon as arrived - start dialog
		----------------		
		onMsg("talking", function(msg)
			if (msg.data == "questErotic10") then
				popupConversation("dialogErotic10");
				setState("donetalktome");
		----------------
			end 
		end )
		
	state("donetalktome")
		onMsg("yes", function(msg)
			-- cancel
			local mike = getParent().getParent().getCharacter(MIKE);
			local elaine = getParent().getParent().getCharacter(ELAINE);

			mike.cancelAllActivities();
			elaine.cancelAllActivities();
			setState("done");			
		end )
		
---------------------------------------------------------------------------------------------------------------------------------------	

		
	state("done")
	
	-- sackgasse hier
		
		
		
endStateMachine()




